Index: trunk/source/processes/optical/History
===================================================================
--- trunk/source/processes/optical/History	(revision 967)
+++ trunk/source/processes/optical/History	(revision 1007)
@@ -16,7 +16,4 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
-
-14th Jan 2009 Peter Gumplinger (op-V09-02-00)
-              respond to bug report 1040 by fixing G4OpBoundaryProcess.cc 
 
 07th Nov 2008 Peter Gumplinger (op-V09-01-09)
Index: trunk/source/processes/optical/include/G4OpAbsorption.hh
===================================================================
--- trunk/source/processes/optical/include/G4OpAbsorption.hh	(revision 967)
+++ trunk/source/processes/optical/include/G4OpAbsorption.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpAbsorption.hh,v 1.9 2006/06/29 21:08:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 ////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/optical/include/G4OpBoundaryProcess.hh
===================================================================
--- trunk/source/processes/optical/include/G4OpBoundaryProcess.hh	(revision 967)
+++ trunk/source/processes/optical/include/G4OpBoundaryProcess.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpBoundaryProcess.hh,v 1.18 2008/11/07 17:59:37 gum Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 // 
Index: trunk/source/processes/optical/include/G4OpProcessSubType.hh
===================================================================
--- trunk/source/processes/optical/include/G4OpProcessSubType.hh	(revision 967)
+++ trunk/source/processes/optical/include/G4OpProcessSubType.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpProcessSubType.hh,v 1.3 2008/12/18 13:02:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //---------------------------------------------------------------
Index: trunk/source/processes/optical/include/G4OpRayleigh.hh
===================================================================
--- trunk/source/processes/optical/include/G4OpRayleigh.hh	(revision 967)
+++ trunk/source/processes/optical/include/G4OpRayleigh.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpRayleigh.hh,v 1.9 2006/06/29 21:08:40 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 // 
Index: trunk/source/processes/optical/include/G4OpWLS.hh
===================================================================
--- trunk/source/processes/optical/include/G4OpWLS.hh	(revision 967)
+++ trunk/source/processes/optical/include/G4OpWLS.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpWLS.hh,v 1.4 2006/06/29 21:08:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 ////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/optical/src/G4OpAbsorption.cc
===================================================================
--- trunk/source/processes/optical/src/G4OpAbsorption.cc	(revision 967)
+++ trunk/source/processes/optical/src/G4OpAbsorption.cc	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpAbsorption.cc,v 1.9 2008/10/24 19:52:28 gum Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 ////////////////////////////////////////////////////////////////////////
Index: trunk/source/processes/optical/src/G4OpBoundaryProcess.cc
===================================================================
--- trunk/source/processes/optical/src/G4OpBoundaryProcess.cc	(revision 967)
+++ trunk/source/processes/optical/src/G4OpBoundaryProcess.cc	(revision 1007)
@@ -591,9 +591,9 @@
            if( !G4BooleanRand(theReflectivity) && n == 1 ) {
 
-             // Comment out DoAbsorption and uncomment theStatus = Absorption;
-             // if you wish to have Transmission instead of Absorption
+             // Comment out DoAbsorption if you wish to have
+             //       Transmission instead of Absorption
 
              DoAbsorption();
-             // theStatus = Absorption;
+             theStatus = Absorption;
              break;
 
Index: trunk/source/processes/optical/src/G4OpRayleigh.cc
===================================================================
--- trunk/source/processes/optical/src/G4OpRayleigh.cc	(revision 967)
+++ trunk/source/processes/optical/src/G4OpRayleigh.cc	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpRayleigh.cc,v 1.17 2008/10/24 19:51:12 gum Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 // 
Index: trunk/source/processes/optical/src/G4OpWLS.cc
===================================================================
--- trunk/source/processes/optical/src/G4OpWLS.cc	(revision 967)
+++ trunk/source/processes/optical/src/G4OpWLS.cc	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpWLS.cc,v 1.13 2008/10/24 19:50:50 gum Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 ////////////////////////////////////////////////////////////////////////
